function contrast_enhancement(input_gray,base,alpha,gamma,output_gray)

alpha      = str2double(alpha);
gamma      = str2double(gamma);

img_input  = double(imread(input_gray))/255;
img_base   = double(imread(base      ))/255;

img_detail = img_input - img_base;

img_out    = img_base.^(1/gamma) + alpha*img_detail;
img_out    = SimplestColorBalance(img_out,.001,.001);

imwrite(uint8(img_out*255),output_gray);

end